/*
 * Class EV_RICH_TEXT_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_210 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_210 [] = {0xFF01,1551,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_210 [] = {0xFF01,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_210 [] = {0xFF01,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_210 [] = {0xFF01,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_210 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_210 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_210 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_210 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_210 [] = {0xFF01,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_210 [] = {0xFF01,377,0xFFFF};
static const EIF_TYPE_INDEX egt_14_210 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_15_210 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_210 [] = {0xFF01,640,0xFFFF};


static const struct desc_info desc_210[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_210), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_210), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_210), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_210), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_210), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_210), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_210), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_210), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_210), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_210), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_210), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_210), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_210), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_210), 4691, 0},
	{EIF_GENERIC(egt_14_210), 4692, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_210), 4689, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_210), 4690, 0xFFFFFFFF},
};
void Init210(void)
{
	IDSC(desc_210, 0, 209);
	IDSC(desc_210 + 1, 1, 209);
	IDSC(desc_210 + 32, 1122, 209);
}


#ifdef __cplusplus
}
#endif
